/*
************************************************
**** PRUEBAS DE VALIDACIÓN DE PROCEDIMIENTOS ***
************************************************/

-- DECLARACION DE VARIABLES PARA ALMACENAR LOS PARAMETROS DE SALIDA
VARIABLE COD_SALIDA NUMBER;
VARIABLE RESPUESTA VARCHAR2;
VARIABLE CURS_RES REFCURSOR;

----------------------------------------------------------------------------------
-- PV-00 [GUARDADO DE LOGS] ---> Probado con éxito en la carga de datos iniciales
----------------------------------------------------------------------------------

------------------------------------------------------------
-- PV-01 [VALORES VÁLIDOS PARA EL CAMPO 'NIVEL DE ESTUDIOS']
------------------------------------------------------------
EXEC PA_ALTA_CANDIDATO('Roberto', 'Vela Delgado', 'robvea@email.com', TO_DATE('1964-06-09','YYYY-MM-DD'), 653493584, 'ESTUDIOS VARIOS', 'N', 'SE0007', 'Se a. ', 'PC00046', '<COMPETENCIA>CP00020</COMPETENCIA><EXPERIENCIA>MEDIA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-02 [VALORES VÁLIDOS PARA EL CAMPO 'TIPO']
------------------------------------------------------------
EXEC PA_ALTA_PRO_CAP ('BUZON', TO_DATE('2005-03-31', 'YYYY-MM-DD'),'SE0002', 'Del tengo ellos que las eso la qué es eso su donde una. ', TO_DATE('2011-03-21', 'YYYY-MM-DD'),:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-03 [VALORES VÁLIDOS PARA EL CAMPO 'TIPO']
------------------------------------------------------------
EXEC PA_ALTA_PRO_CAP ('BUZON', TO_DATE('2005-03-31', 'YYYY-MM-DD'),'SE0002', 'Del tengo ellos que las eso la qué es eso su donde una. ', TO_DATE('2011-03-21', 'YYYY-MM-DD'),:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-04 [FECHA INICIO > FECHA FIN - PROCESO SELECCION]
------------------------------------------------------------
EXEC PA_ALTA_PRO_SEL(TO_DATE('2007-09-10','YYYY-MM-DD'), 'CL00085', TO_DATE('2006-08-10','YYYY-MM-DD'), 'Te me o alegro puede la una lo quiero pasa cómo. ',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-05 [FECHA INICIO > FECHA FIN - PROCESO SELECCION]
------------------------------------------------------------
EXEC PA_ALTA_PRO_SEL(TO_DATE('2007-09-10','YYYY-MM-DD'), 'CL00085', TO_DATE('2006-08-10','YYYY-MM-DD'), 'Te me o alegro puede la una lo quiero pasa cómo. ',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-05 [FECHA INICIO > FECHA FIN - PROCESO CAPTACION]
------------------------------------------------------------
EXEC PA_ALTA_PRO_CAP ('TV', TO_DATE('2008-05-26', 'YYYY-MM-DD'),'SE0027', 'La en agua de a nos nuestra sí verte a no vale de estoy ha veo es ya eso grandes de otra asunto el sabía. Sólo el la nuestros el nosotros ahora se un en volver de un. Por lugar. ', TO_DATE('2007-03-24', 'YYYY-MM-DD'),:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-06 [FECHA INICIO > FECHA FIN - PROPUESTA]
------------------------------------------------------------
EXEC PA_ALTA_PROPUESTA('A mi si la no hasta el le nos de me y alegra quisiera tú nos sabía más. Realmente de verdad que por un acerca de y un qué puedo que estamos exactamente tengo arma no padre sí y crees todos gracias dice fuerza al lo la es. Tiene. ', 'CO00049', 'CL00043', 1650.00, 'Y', TO_DATE('2014-07-24','YYYY-MM-DD'), TO_DATE('2013-08-23','YYYY-MM-DD'), :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-07 [CAMPO DERIVADO - 'IMPORTE DE PROPUESTAS ACEPTADAS'] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-08 [CAMPO 'ESPECIALIZACION' NO NULO]
------------------------------------------------------------
EXEC PA_ALTA_CANDIDATO('Roberto', 'Vela Delgado', 'rovela@email.com', TO_DATE('1964-06-09','YYYY-MM-DD'), 653493584, 'DOCTORADO', 'N', 'SE0007', NULL, 'PC00046', '<COMPETENCIA>CP00020</COMPETENCIA><EXPERIENCIA>MEDIA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;  

------------------------------------------------------------
-- PV-09 [NUMERO DE PUESTOS VACANTES > 0]
------------------------------------------------------------
EXEC PA_ALTA_VACANTE('PS00158', 'ESO', 0, 'N/A', '<COMPETENCIA>CP00009</COMPETENCIA><EXPERIENCIA>BAJA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-10 [CANDIDATO SELECCIONADO Y DESCARTADO]
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2002-12-23','YYYY-MM-DD'), 'CA00323', 'PS00381', '<VACANTE>VA00249</VACANTE>', 'Sé sí hola los se también. Yo propia quiero guerra no con nueva al y yo una en que ver lo. ', 'Y', 'Y',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-11 [CANDIDATO DESCARTADO NO ES ENTREVISTADO]
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2002-04-05','YYYY-MM-DD'), 'CA00818', 'PS00683', '<VACANTE>VA00779</VACANTE>', 'A hace que debe os mi incluso. De que estado me un necesitamos una. ', 'Y', 'N',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-12 [COMENTARIOS EN CASO DE DESCARTAR CANDIDATO]
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2003-04-10','YYYY-MM-DD'), 'CA00627', 'PS00724', '<VACANTE>VA00824</VACANTE>', NULL, 'N', 'Y',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-13 [COMENTARIOS EN ENTREVISTA INTERNA NO SATISFACTORIA]
------------------------------------------------------------
EXEC PA_ALTA_ENT_INT(TO_DATE('2011-04-06','YYYY-MM-DD'), 'CA00258', 'SE0005', 'N', NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-14 [EMAIL DE CANDIDATOS UNICO]
------------------------------------------------------------
EXEC PA_ALTA_CANDIDATO('Josefa', 'Garrido García', 'josefagarrido@mail.net', TO_DATE('1987-01-13','YYYY-MM-DD'), 607017401, 'MASTER', 'Y', 'SE0018', 'No o estar. ', 'PC00066', '<COMPETENCIA>CP00003</COMPETENCIA><EXPERIENCIA>MEDIA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-15 [ALTA CANDIDATO (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_CANDIDATO('Josefa', 'Garrido García', NULL, TO_DATE('1987-01-13','YYYY-MM-DD'), 607017401, 'ESO', 'Y', 'SE0018', NULL, NULL, NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-16 [ALTA CANDIDATO (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-17 [ALTA CANDIDATO (ERROR) - PROCESO CAPTACION INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_CANDIDATO('María Teresa', 'Roldan Sánchez', 'marroldan@email.com', TO_DATE('1989-12-19','YYYY-MM-DD'), 672837411, 'DOCTORADO', 'N', 'SE0018', 'Misma de a es eso. ', 'PC10049', '<COMPETENCIA>CP00006</COMPETENCIA><EXPERIENCIA>ALTA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-18 [ALTA CANDIDATO (ERROR) - COMPETENCIA INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_CANDIDATO('Juan José', 'Ruiz López', 'jjruiz75@email.es', TO_DATE('1980-04-20','YYYY-MM-DD'), 643805408, 'ESO', 'Y', 'SE0005', 'Y las que. ', 'PC00034', '<COMPETENCIA>CP10006</COMPETENCIA><EXPERIENCIA>ALTA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-19 [ALTA CLIENTE (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_CLIENTE(NULL, 'Calle de  Discípulo Malcriado 108, 4º 2ª', 'Zaragoza', NULL, 8399, 'VJNAENRO', 975009016, NULL, 'SE0015', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-20 [ALTA CLIENTE (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-21 [ALTA CLIENTE (ERROR) - SEDE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_CLIENTE('Francisco Gómez Artiles', 'Calle la Eficiencia 67, 2', 'Don Benito', 'f.gomez@correo.net', 23205, 'IAIFROEG', 927131832, 668518286, 'SE9029', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-22 [ALTA COMERCIAL (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_COMERCIAL('Remedios', 'Fernández Coto', NULL, 969944226, TO_DATE('2014-07-07','YYYY-MM-DD'), 'SE0030', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-23 [ALTA COMERCIAL (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-24 [ALTA COMERCIAL (ERROR) - SEDE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_COMERCIAL('Antonia', 'Rodríguez Medina', 'antrodriguez@email.es', 970160942, TO_DATE('2014-06-30','YYYY-MM-DD'), 'SE8025', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-25 [ALTA COMPETENCIA (OK) 1] 
------------------------------------------------------------
EXEC PA_ALTA_COMPETENCIA('AGUDEZA MENTAL','Agudeza para establecer una línea de acción adecuada en la resolución de problemas, implicarse o tomar parte en un asunto concreto o tarea personal.',NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-26 [ALTA COMPETENCIA (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-27 [ALTA COMPETENCIA (ERROR) - NOMBRE YA EXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_COMPETENCIA('CONTROL','Capacidad para tomar decisiones que aseguren el control sobre métodos, personas y situaciones.',NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-28 [ALTA ENTREVISTA EXTERNA (OK) 1] 
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2008-01-07','YYYY-MM-DD'), 'CA00567', 'PS00612', '<VACANTE>VA00641</VACANTE>', NULL, NULL, NULL, :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-29 [ALTA ENTREVISTA EXTERNA (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-30 [ALTA ENTREVISTA EXTERNA (OK) 3]
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2008-01-07','YYYY-MM-DD'), 'CA00567', 'PS00612', '<VACANTE>VA00623</VACANTE><VACANTE>VA00641</VACANTE>', 'Podemos sr ver en de que gusta noche cosas dijo es son. ', 'N', 'N',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-31 [ALTA ENTREVISTA EXTERNA (ERROR) - PROCESO SELECCION INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2011-04-21','YYYY-MM-DD'), 'CA00661', 'PS80777', '<VACANTE>VA00887</VACANTE>', 'Que bien donde ve día en no quizá fueron he. De está así cerca dejé de le. ', 'N', 'Y',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-32 [ALTA ENTREVISTA EXTERNA (ERROR) - CANDIDATO INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2011-09-06','YYYY-MM-DD'), 'CA745', 'PS00675', '<VACANTE>VA00647</VACANTE>', 'Hecho quiero venido yo vez cómo esté cama bueno otros me busca más. Así hermano hijos cosas es. ', 'N', 'N',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-33 [ALTA ENTREVISTA EXTERNA (ERROR) - VACANTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_ENT_EXT(TO_DATE('2010-05-10','YYYY-MM-DD'), 'CA00108', 'PS00391', '<VACANTE>VA91481</VACANTE>', 'Esa para puedo la de quien todas parte con le de eso llamo tierra en de había quién que a salir pues. En que es he siquiera de qué no tiene. ', 'N', 'N',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-34 [ALTA ENTREVISTA INTERNA (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_ENT_INT(TO_DATE('2001-12-21','YYYY-MM-DD'), 'CA00303', 'SE0013', NULL, NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;
------------------------------------------------------------
-- PV-35 [ALTA ENTREVISTA INTERNA (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-36 [ALTA ENTREVISTA INTERNA (ERROR) - SEDE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_ENT_INT(TO_DATE('2015-03-24','YYYY-MM-DD'), 'CA00246', 'SE77027', 'N', 'Estas estás hacerlo que va tipo que de lo que tenía nuestros un solo veamos ella mi una es le haga por de y. Le que un una con que años el verdad de. ',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-37 [ALTA ENTREVISTA INTERNA (ERROR) - CANDIDATO INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_ENT_INT(TO_DATE('2015-03-16','YYYY-MM-DD'), 'CA385', 'SE0028', 'Y', 'Mi deja mío las por no estaba propia. Por siquiera nada tenía. ',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-38 [ALTA PROCESO CAPTACION (OK) 1] 
------------------------------------------------------------
EXEC PA_ALTA_PRO_CAP ('CORREO', TO_DATE('2014-12-04', 'YYYY-MM-DD'),'SE0003', 'Mi nunca qué que la primera estás esto vi mucha sé ella qué a por fue voy. A las sé poco el te un estabas aquí madre de me de. En tenemos antes. ', NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;
------------------------------------------------------------
-- PV-39 [ALTA PROCESO CAPTACION (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-40 [ALTA PROCESO SELECCION (ERROR) - SEDE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_PRO_CAP ('PRENSA', TO_DATE('2012-08-13', 'YYYY-MM-DD'),'SE220025', 'Se el estoy los me que casa la mi de lo y la déjame por. No sabes mis no en seguro. Conseguir de está la qué una noche. ', TO_DATE('2012-10-23', 'YYYY-MM-DD'),:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-41 [ALTA PROCESO SELECCION (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_PRO_SEL(TO_DATE('2012-06-02','YYYY-MM-DD'), 'CL00274', NULL,NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-42 [ALTA PROCESO SELECCION (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-43 [ALTA PROCESO SELECCION (ERROR) - CLIENTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_PRO_SEL(TO_DATE('2010-04-13','YYYY-MM-DD'), 'CL55222', TO_DATE('2011-02-26','YYYY-MM-DD'), 'Tonto para con ve puedo la aunque lo no secreto está amigo pudiera me. Como ir te. ',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-44 [ALTA PROPUESTA (OK) 1] 
------------------------------------------------------------
EXEC PA_ALTA_PROPUESTA('Había que qué sr sólo llaman resto tenemos y estaba un no regresar. Ver una el y un de la una de quien qué en acuerdo pero de. ', 'CO00007', 'CL00166', NULL, NULL, NULL,NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;
------------------------------------------------------------
-- PV-45 [ALTA PROPUESTA (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-46 [ALTA PROPUESTA (ERROR) - COMERCIAL INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_PROPUESTA('Pero es llegado personas la los el es fue que lo crees la una qué de es tiene de ya de el. Dos no estaría no algo. Hagas tendrá hay una yo de quiero acerca me a unas una qué por de primero mujer de. ', 'CO700042', 'CL00292', 2000.00, 'N', TO_DATE('2008-12-19','YYYY-MM-DD'), TO_DATE('2009-04-09','YYYY-MM-DD'), :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-47 [ALTA PROPUESTA (ERROR) - CLIENTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_PROPUESTA('A por eso ya bien problema. No mi lo el la gracias ya que el vas el y está lo lugar está un de que de. ', 'CO00020', 'CL3300241', 1500.00, 'Y', TO_DATE('2002-11-28','YYYY-MM-DD'), TO_DATE('2007-07-31','YYYY-MM-DD'), :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-48 [ALTA SEDE (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_SEDE(942722543, 'Ferrol', 45122, 'Plaza Expulsión Nueva 226, 6º 1ª',TO_DATE('2014-01-22','YYYY-MM-DD'), NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-49 [ALTA SEDE (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-50 [ALTA VACANTE (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_VACANTE('PS00641', 'FP', 2, NULL,NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;
------------------------------------------------------------
-- PV-51 [ALTA VACANTE (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-52 [ALTA VACANTE (ERROR) - PROCESO SELECCION INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_VACANTE('PS33089', 'BACHILLERATO', 2, 'HUMANIDADES', '<COMPETENCIA>CP00021</COMPETENCIA><EXPERIENCIA>BAJA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-53 [ALTA VACANTE (ERROR) - COMPETENCIA INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_VACANTE('PS00838', 'DOCTORADO', 2, 'SOCIOLOGIA', '<COMPETENCIA>CP22008</COMPETENCIA><EXPERIENCIA>ALTA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-54 [ALTA VISITA (OK) 1]
------------------------------------------------------------
EXEC PA_ALTA_VISITA(TO_DATE('2013-05-13','YYYY-MM-DD'), 'Y estoy está mal porque quieres no la y si un como a es lo es te estaba hace y soy la como tío sangre una puso así está. ', 'CO00011', 'CL00242', NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;
------------------------------------------------------------
-- PV-55 [ALTA VISITA (OK) 2] ---> Probado con éxito en la carga de datos iniciales
------------------------------------------------------------

------------------------------------------------------------
-- PV-56 [ALTA VISITA (ERROR) - COMERCIAL INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_VISITA(TO_DATE('2008-04-07','YYYY-MM-DD'), 'Sólo que es dijo te se somos. De pon no lo de estás esta rápido una me que donde y año agente de a eran necesito nuestra a pueden que hey buena. De sin de en ella. ', 'CO3300012', 'CL00084', 'PR00078', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-57 [ALTA VISITA (ERROR) - CLIENTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_VISITA(TO_DATE('2016-01-02','YYYY-MM-DD'), 'No es que voy una el tiempo viendo bien no. ', 'CO00069', 'CL330190', 'PR00083', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-58 [ALTA VISITA (ERROR) - PROPUESTA INEXISTENTE]
------------------------------------------------------------
EXEC PA_ALTA_VISITA(TO_DATE('2013-10-24','YYYY-MM-DD'), 'Entonces pero de me tengo pero te los gran sabemos eres no la qué hay ha dos eso de la james todavía lo y puedo que ésta tenemos qué más. Yo mis la me es sido de nadie tú. Que de. ', 'CO00048', 'CL00128', 'PR220086', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 


------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-59 [BAJA CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA00803', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-60 [BAJA CANDIDATO (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CANDIDATO('CA20903', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-61 [BAJA CLIENTE (OK)]
------------------------------------------------------------
EXEC PA_BAJA_CLIENTE('CL00103', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-62 [BAJA CLIENTE (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_CLIENTE('CL800103', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-63 [BAJA COMERCIAL (OK)]
------------------------------------------------------------
EXEC PA_BAJA_COMERCIAL('CO00024', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-64 [BAJA COMERCIAL (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_COMERCIAL('CO10024', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-65 [BAJA COMPETENCIA (OK)]
------------------------------------------------------------
EXEC PA_BAJA_COMPETENCIA('CP00004', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-66 [BAJA COMPETENCIA (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_COMPETENCIA('CP004', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-67 [BAJA ENTREVISTA EXTERNA (OK)]
------------------------------------------------------------
EXEC PA_BAJA_ENT_EXT('EE00103', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-68 [BAJA ENTREVISTA EXTERNA (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_ENT_EXT('EE00103', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-69 [BAJA ENTREVISTA INTERNA (OK)]
------------------------------------------------------------
EXEC PA_BAJA_ENT_INT('EI00103', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-70 [BAJA ENTREVISTA INTERNA (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_ENT_INT('EI020103', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-71 [BAJA PROCESO SELECCION (OK)]
------------------------------------------------------------
EXEC PA_BAJA_PROC_SEL('PS00203', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-72 [BAJA PROCESO SELECCION (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_PROC_SEL('PS40203', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-73 [BAJA PROCESO CAPTACION (OK)]
------------------------------------------------------------
EXEC PA_BAJA_PROC_CAP('PC00010', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-74 [BAJA PROCESO CAPTACION (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_PROC_CAP('PC30010', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-75 [BAJA PROPUESTA (OK)]
------------------------------------------------------------
EXEC PA_BAJA_PROPUESTA('PR00010', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-76 [BAJA PROPUESTA (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_PROPUESTA('PR04010', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-77 [BAJA SEDE (OK)]
------------------------------------------------------------
EXEC PA_BAJA_SEDE('SE0003', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-78 [BAJA SEDE (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_SEDE('SE40003', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-79 [BAJA VACANTE (OK)]
------------------------------------------------------------
EXEC PA_BAJA_VACANTE('VA00003', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-80 [BAJA VACANTE (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_VACANTE('VA20003', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-81 [BAJA VISITA (OK)]
------------------------------------------------------------
EXEC PA_BAJA_VISITA('VI00063', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-82 [BAJA VISITA (ERROR)]
------------------------------------------------------------
EXEC PA_BAJA_VISITA('VI70063', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-83 [MODIFICACION TOTAL CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_MODIF_CANDIDATO('CA00246',690415162,'FP','Y','jaralo@email.es', 'Ok propia. ','<COMPETENCIA>CP00002</COMPETENCIA><EXPERIENCIA>MEDIA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-84 [MODIFICACION PARCIAL CANDIDATO (OK)]
------------------------------------------------------------
EXEC PA_MODIF_CANDIDATO('CA00246',NULL,NULL,NULL,NULL, NULL,'<COMPETENCIA>CP00005</COMPETENCIA><EXPERIENCIA>MEDIA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-85 [MODIFICACION CANDIDATO (ERROR) - CANDIDATO INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_CANDIDATO('CA30246',44485229,NULL,NULL,NULL, NULL,NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-86 [MODIFICACION CANDIDATO (ERROR) - COMPETENCIA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_CANDIDATO('CA00246',NULL,NULL,'N',NULL, NULL,'<COMPETENCIA>CP40005</COMPETENCIA><EXPERIENCIA>MEDIA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-87 [MODIFICACION TOTAL CLIENTE (OK)]
------------------------------------------------------------
EXEC PA_MODIF_CLIENTE('CL00085','TTT SA.','Madrid',25894,'Avenida de la Laringe 156, 5º 2ª',935063827,'Susana Olivera Viana',626422114,'susolivera@correo.es',:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-88 [MODIFICACION PARCIAL CLIENTE (OK)]
------------------------------------------------------------
EXEC PA_MODIF_CLIENTE('CL00085',NULL,NULL,NULL,NULL,915063827,NULL,NULL,NULL,:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-89 [MODIFICACION CLIENTE (ERROR) - CLIENTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_CLIENTE('CL10085',NULL,NULL,NULL,NULL,915063827,NULL,NULL,NULL,:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-90 [MODIFICACION TOTAL COMERCIAL (OK)]
------------------------------------------------------------
EXEC PA_MODIF_COMERCIAL('CO00044',972317374,'inmaculadaanton@mail.es',:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-91 [MODIFICACION PARCIAL COMERCIAL (OK)]
------------------------------------------------------------
EXEC PA_MODIF_COMERCIAL('CO00044',NULL,'inmaton@mail.es',:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-92 [MODIFICACION COMERCIAL (ERROR) - COMERCIAL INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_COMERCIAL('CO10044',4949494949,NULL,:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-93 [MODIFICACION COMPETENCIA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_COMPETENCIA('CP00024','Competencia basica en cualquier empleo',:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-94 [MODIFICACION COMPETENCIA (ERROR) - COMPETENCIA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_COMPETENCIA('CP10024','Competencia no muy importante',:COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-95 [MODIFICACION TOTAL ENTREVISTA EXTERNA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_ENT_EXT('EE00003', TO_DATE('2002-12-23','YYYY-MM-DD'), 'PS00381','Sé sí hola los se también. Yo propia quiero guerra no con nueva al y yo una en que ver lo. ', 'N', 'N', '<VACANTE>VA00249</VACANTE>', :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-96 [MODIFICACION PARCIAL ENTREVISTA EXTERNA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_ENT_EXT('EE00003', NULL,NULL,NULL,'Y',NULL,NULL, :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-97 [MODIFICACION ENTREVISTA EXTERNA (ERROR) - ENTREVISTA EXTERNA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_ENT_EXT('EE0223', NULL,NULL,NULL,'Y',NULL,NULL, :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-98 [MODIFICACION ENTREVISTA EXTERNA (ERROR) - PROCESO SELECCION INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_ENT_EXT('EE00003', NULL,'PS1199',NULL,'Y',NULL,'<VACANTE>VA00249</VACANTE>', :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-99 [MODIFICACION ENTREVISTA EXTERNA (ERROR) - VACANTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_ENT_EXT('EE00003', NULL,NULL,NULL,'Y',NULL,'<VACANTE>VA10249</VACANTE>', :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-100 [MODIFICACION TOTAL ENTREVISTA INTERNA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_ENT_INT('EI00003',TO_DATE('2012-05-31','YYYY-MM-DD'), 'Y', 'Idea el la he me conseguir un no más de no con es. Que mujer está. ',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-101 [MODIFICACION PARCIAL ENTREVISTA INTERNA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_ENT_INT('EI00003',TO_DATE('2013-05-31','YYYY-MM-DD'), NULL,NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-102 [MODIFICACION ENTREVISTA INTERNA (ERROR) - ENTREVISTA INTERNA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_ENT_INT('EI20003',NULL,NULL,'Comentarios sobre la entrevista',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-103 [MODIFICACION TOTAL PROCESO CAPTACION (OK)]
------------------------------------------------------------
EXEC PA_MODIF_PRO_CAP('PC00003', 'TV',TO_DATE('2002-12-22','YYYY-MM-DD'),TO_DATE('2002-12-23','YYYY-MM-DD'),'Sé sí hola los se también. Yo propia quiero guerra no con nueva al y yo una en que ver lo.', :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-104 [MODIFICACION PARCIAL PROCESO CAPTACION (OK)]
------------------------------------------------------------
EXEC PA_MODIF_PRO_CAP('PC00003', 'RADIO',NULL,NULL,NULL, :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-105 [MODIFICACION PROCESO CAPTACION (ERROR) - PROCESO CAPTACION INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_PRO_CAP('PC20003', 'RADIO',NULL,NULL,NULL, :COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-106 [MODIFICACION TOTAL PROCESO SELECCIÓN (OK)]
------------------------------------------------------------
EXEC PA_MODIF_PRO_SEL('PS00003',TO_DATE('2009-02-10','YYYY-MM-DD'), TO_DATE('2009-03-24','YYYY-MM-DD'), 'Sin una mucho a los las la es hasta vez ahora lo. ',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-107 [MODIFICACION PARCIAL PROCESO SELECCIÓN (OK)]
------------------------------------------------------------
EXEC PA_MODIF_PRO_SEL('PS00003',NULL, TO_DATE('2009-04-24','YYYY-MM-DD'), NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-108 [MODIFICACION PROCESO SELECCIÓN (ERROR) - PROCESO SELECCIÓN INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_PRO_SEL('PS20003',NULL, TO_DATE('2009-04-24','YYYY-MM-DD'), NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-109 [MODIFICACION TOTAL PROPUESTA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_PROPUESTA('PR00003','En a nos más la lo la qué. A la para james nos decir. ', 200.00,'N','CO00078',  TO_DATE('2003-10-26','YYYY-MM-DD'), TO_DATE('2004-02-25','YYYY-MM-DD'), :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-110 [MODIFICACION PARCIAL PROPUESTA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_PROPUESTA('PR00003',NULL, 250.00,NULL,NULL,NULL,NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-111 [MODIFICACION PROPUESTA (ERROR) - PROPUESTA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_PROPUESTA('PR30003',NULL, 250.00,NULL,NULL,NULL,NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-112 [MODIFICACION PROPUESTA (ERROR) - COMERCIAL INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_PROPUESTA('PR00003',NULL, NULL,'N','CO340078',  NULL,NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 
 
------------------------------------------------------------
-- PV-113 [MODIFICACION TOTAL SEDE (OK)]
------------------------------------------------------------
EXEC PA_MODIF_SEDE('SE0004',973299707, 'Alacuás', 4747, 'Plaza de  Agilidad Cómica 143, 1','José Amorós Gil',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-114 [MODIFICACION PARCIAL SEDE (OK)]
------------------------------------------------------------
EXEC PA_MODIF_SEDE('SE0004',NULL, NULL, 455747, NULL,NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-115 [MODIFICACION SEDE (ERROR) - SEDE INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_SEDE('SE1004',NULL, NULL, 5747, NULL,NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-116 [MODIFICACION TOTAL VACANTE (OK)]
------------------------------------------------------------
EXEC PA_MODIF_VACANTE('VA00004', 'MASTER', 'INGENIERIA NUCLEAR', 2,  '<COMPETENCIA>CP00022</COMPETENCIA><EXPERIENCIA>ALTA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-117 [MODIFICACION PARCIAL VACANTE (OK)]
------------------------------------------------------------
EXEC PA_MODIF_VACANTE('VA00004', NULL,NULL, 3, NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-118 [MODIFICACION VACANTE (ERROR) - VACANTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_VACANTE('VA20004', NULL,NULL, 3, NULL,:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-119 [MODIFICACION VACANTE (ERROR) - COMPETENCIA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_VACANTE('VA00004', NULL,NULL,NULL,  '<COMPETENCIA>CP03022</COMPETENCIA><EXPERIENCIA>ALTA</EXPERIENCIA>',:COD_SALIDA,:RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-120 [MODIFICACION TOTAL VISITA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_VISITA('VI00004', TO_DATE('2013-05-26','YYYY-MM-DD'), 'A nada que a el lo puedo aquí como un los de los del es edad se habías un no más saber veo si. Morir por debemos lugar si uno sra número hay no tu. Al rápido los de hay los. ', 'CO00054', 'CL00001', 'PR00032', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-121 [MODIFICACION PARCIAL VISITA (OK)]
------------------------------------------------------------
EXEC PA_MODIF_VISITA('VI00004', NULL, 'Una visita prometedora', NULL,NULL,NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA; 

------------------------------------------------------------
-- PV-122 [MODIFICACION VISITA (ERROR) - VISITA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_VISITA('VI10304', NULL, 'Una visita prometedora', NULL,NULL,NULL, :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-123 [MODIFICACION VISITA (ERROR) - COMERCIAL INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_VISITA('VI00004', NULL, 'A nada si uno sra número hay no tu. Al rápido los de hay los. ', 'CO100054', 'CL00001', 'PR00032', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-124 [MODIFICACION VISITA (ERROR) - CLIENTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_VISITA('VI00004', NULL, 'A nada si uno sra número hay no tu. Al rápido los de hay los. ', 'CO00054', 'CL300001', 'PR00032', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-125 [MODIFICACION VISITA (ERROR) - PROPUESTA INEXISTENTE]
------------------------------------------------------------
EXEC PA_MODIF_VISITA('VI00004', NULL, 'A nada si uno sra número hay no tu. Al rápido los de hay los. ', 'CO00054', 'CL00001', 'PR0034032', :COD_SALIDA, :RESPUESTA);
PRINT RESPUESTA;

------------------------------------------------------------
-- PV-126 [CONSULTA TODOS CANDIDATOS(OK)]
------------------------------------------------------------
EXEC PA_CONS_CANDIDATO(NULL,NULL,NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-127 [CONSULTA PARCIAL CANDIDATOS POR SEDE(OK)]
------------------------------------------------------------
EXEC PA_CONS_CANDIDATO(NULL,NULL,NULL,'SE0002',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-128 [CONSULTA PARCIAL CANDIDATOS (ERROR) - CANDIDATO INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_CANDIDATO('CA100108',NULL,NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-129 [CONSULTA TODOS CLIENTES(OK)]
------------------------------------------------------------
EXEC PA_CONS_CLIENTE(NULL,NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-130 [CONSULTA PARCIAL CLIENTES POR POBLACION(OK)]
------------------------------------------------------------
EXEC PA_CONS_CLIENTE(NULL,NULL,'madrid',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-131 [CONSULTA PARCIAL CLIENTES (ERROR) - CLIENTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_CLIENTE('CL300001',NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-132 [CONSULTA TODOS COMERCIALES(OK)]
------------------------------------------------------------
EXEC PA_CONS_COMERCIAL(NULL,NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-133 [CONSULTA PARCIAL COMERCIALES POR SEDE(OK)]
------------------------------------------------------------
EXEC PA_CONS_COMERCIAL(NULL,NULL,NULL,'SE0002',:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-134 [CONSULTA PARCIAL COMERCIALES (ERROR) - COMERCIAL INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_COMERCIAL('CO88322',NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-135 [CONSULTA TODAS COMPETENCIAS(OK)]
------------------------------------------------------------
EXEC PA_CONS_COMPETENCIA(NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-136 [CONSULTA PARCIAL COMPETENCIAS (ERROR) - COMPETENCIA INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_COMPETENCIA('CP111',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-137 [CONSULTA TODAS ENTREVISTAS EXTERNAS(OK)]
------------------------------------------------------------
EXEC PA_CONS_ENT_EXT(NULL,NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-138 [CONSULTA PARCIAL ENTREVISTAS EXTERNAS POR PROCESO SELECCION(OK)]
------------------------------------------------------------
EXEC PA_CONS_ENT_EXT(NULL,NULL,'PS00012',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-139 [CONSULTA PARCIAL ENTREVISTAS EXTERNAS (ERROR) - ENTREVISTAS EXTERNA INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_ENT_EXT('EE0033332',NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-140 [CONSULTA TODAS ENTREVISTAS INTERNAS(OK)]
------------------------------------------------------------
EXEC PA_CONS_ENT_INT(NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-141 [CONSULTA PARCIAL ENTREVISTAS INTERNAS POR SEDE(OK)]
------------------------------------------------------------
EXEC PA_CONS_ENT_INT(NULL,NULL,'se00002',:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-142 [CONSULTA PARCIAL ENTREVISTAS INTERNAS (ERROR) - ENTREVISTA INTERNA INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_ENT_INT('EI100003',NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-143 [CONSULTA TODOS PROCESOS CAPTACION(OK)]
------------------------------------------------------------
EXEC PA_CONS_PRO_CAP(NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-144 [CONSULTA PARCIAL PROCESOS CAPTACION POR SEDE(OK)]
------------------------------------------------------------
EXEC PA_CONS_PRO_CAP(NULL,'SE0002',:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-145 [CONSULTA PARCIAL PROCESOS CAPTACION (ERROR) - PROCESO CAPTACION INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_PRO_CAP('PC30494',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-146 [CONSULTA TODOS PROCESOS SELECCION(OK)]
------------------------------------------------------------
EXEC PA_CONS_PRO_SEL(NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-147 [CONSULTA PARCIAL PROCESOS SELECCION POR CLIENTE(OK)]
------------------------------------------------------------
EXEC PA_CONS_PRO_SEL(NULL,'CL00022',:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-148 [CONSULTA PARCIAL PROCESOS SELECCION (ERROR) - PROCESO SELECCION INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_PRO_SEL('PS33221',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-149 [CONSULTA TODAS PROPUESTAS(OK)]
------------------------------------------------------------
EXEC PA_CONS_PROPUESTA(NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-150 [CONSULTA PARCIAL PROPUESTAS POR COMERCIAL(OK)]
------------------------------------------------------------
EXEC PA_CONS_PROPUESTA(NULL,'CO00073',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-151 [CONSULTA PARCIAL PROPUESTAS (ERROR) - PROPUESTA INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_PROPUESTA('pr5504',NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-152 [CONSULTA TODAS SEDES(OK)]
------------------------------------------------------------
EXEC PA_CONS_SEDE(NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-153 [CONSULTA PARCIAL SEDES POR POBLACION(OK)]
------------------------------------------------------------
EXEC PA_CONS_SEDE(NULL,'valladolid',:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-154 [CONSULTA PARCIAL SEDES (ERROR) - SEDE INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_SEDE('SE344',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-155 [CONSULTA TODAS VACANTES(OK)]
------------------------------------------------------------
EXEC PA_CONS_VACANTE(NULL,NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-156 [CONSULTA PARCIAL VACANTES POR PROCESO DE SELECCION(OK)]
------------------------------------------------------------
EXEC PA_CONS_VACANTE(NULL,NULL,NULL,'PS00003',:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-157 [CONSULTA PARCIAL VACANTES (ERROR) - VACANTE INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_VACANTE('VA3443',NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-158 [CONSULTA TODAS VISITAS(OK)]
------------------------------------------------------------
EXEC PA_CONS_VISITA(NULL,NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-159 [CONSULTA PARCIAL VISITAS POR COMERCIAL(OK)]
------------------------------------------------------------
EXEC PA_CONS_VISITA(NULL,'CO00007',NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 

------------------------------------------------------------
-- PV-160 [CONSULTA PARCIAL VISITAS (ERROR) - VISITA INEXISTENTE]
------------------------------------------------------------
EXEC PA_CONS_VISITA('VI113',NULL,NULL,:COD_SALIDA,:CURS_RES);
PRINT CURS_RES; 
