
---------------------------------------------------------
-- Creacin del tablespace para alojar la BD
---------------------------------------------------------
CREATE TABLESPACE TS_RECRUITCAT 
  DATAFILE 'C:\RECRUITCAT.dat' 
  SIZE 50M AUTOEXTEND ON NEXT 50M;
  
---------------------------------------------------------
-- Creacin del usuario RC que manejar la BD
---------------------------------------------------------  
CREATE USER RC
  IDENTIFIED BY user_admin
  DEFAULT TABLESPACE TS_RECRUITCAT
  QUOTA UNLIMITED ON TS_RECRUITCAT;
  
---------------------------------------------------------
-- Asignacin de permisos al usuario RC
---------------------------------------------------------  
GRANT CREATE SESSION TO RC;  
GRANT CREATE TABLE TO RC;  
GRANT CREATE VIEW TO RC;  
GRANT CREATE TRIGGER TO RC;  
GRANT CREATE PROCEDURE TO RC;  
GRANT CREATE SEQUENCE TO RC;  
GRANT CREATE SYNONYM TO RC;

	